/*								BIGMOD.H

	This is a C #include file for both halves of the BIG test program;
	It contains a common algorithm for modifying in/out parameters.
*/

bigmod()

{
int i, j;	    /* Loop counters */

	my_byte = 255 - my_byte;
	my_char = '*';
/* was:	my_char = (char)(127 - (int)my_char);	*/
	my_short= my_short + 4321;
	my_long = my_long * (-13);
	my_real = my_real * (-123.456);

	for (i = 0; my_str[i] != '\0'; i++) my_str[i] = '%';

	for (i = s_my_substr; i < s_my_substr + l_my_substr; i++)
			a_my_substr[i-1] = '&';

	for (i = 0; i < 11; i++)
	    for (j = 0; j < 8; j++) 
		my_array[i][j] = '!';
	/* Was: 	(char)( ((int)my_array[i][j] + i*(j + 5)) % 128); */


	for (i = 0; i < l_my_seq; i++)
	    a_my_seq[i] += i + 1;
	}

